Subject: Re: bug#27346: module tests fail to compile with gcc 4.8.5

From: Glenn Morris <[email-masked]>
Date: Mon, 12 Jun 2017 17:46:35 -0400

Philipp Stephani wrote:

>> +#ifdef __has_attribute
>> +#if __has_attribute(__nonnull__)
>>  # define EMACS_ATTRIBUTE_NONNULL(...)
>>  __attribute__((__nonnull__(__VA_ARGS__)))
>> -#else
>> +#endif
>> +#endif
>> +#ifndef EMACS_ATTRIBUTE_NONNULL
>>  # define EMACS_ATTRIBUTE_NONNULL(...)
>>  #endif

Applied as 69899d4.

> Probably yes, thanks. (I don't know why the && expression doesn't work.)

I could not find a good reference, but see eg
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=36453#c3

>> (Even with this change or your suggestion, I then get "Module
>> initialization
>> failed" when running the tests, but that's probably a different issue.)
>
> Do you get a more detailed error message?

It was the off-by-one thing you just fixed.